## org.apache.fop.fo
Class NumberProperty.Maker

    java.lang.Object
      |
      +--org.apache.fop.fo.Property.Maker
            |
            +--org.apache.fop.fo.NumberProperty.Maker

Enclosing class:
  NumberProperty

public static class NumberProperty.Maker
extends Property.Maker

Constructor Summary
`NumberProperty.Maker(java.lang.String propName)`

Method Summary
`Property` `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.

Methods inherited from class org.apache.fop.fo.Property.Maker
`checkEnumValues, checkValueKeywords, compute, convertPropertyDatatype, getPercentBase, getPropName, getSubpropMaker, getSubpropValue, inheritsSpecified, isCompoundMaker, isCorrespondingForced, isInherited, make, make, make, makeCompound, setSubprop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberProperty.Maker

    public NumberProperty.Maker(java.lang.String propName)

Method Detail

### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)

  Description copied from class: Property.Maker
  Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property. It is overridden by subclasses when the property specification in foproperties.xml specifies conversion rules.
  Overrides:
    convertProperty in class Property.Maker
  Tags copied from class: Property.Maker
  Parameters:
    `p` - The Property object return by the expression parser
    `propertyList` - The PropertyList object being built for this FO.
    `fo` - The current FO whose properties are being set.
  Returns:
    A Property of the correct type or null if the parsed value can't be converted to the correct type.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.